Aller au contenu

database_api.list_vesting_delegation_expirations ​

since HF17

Purpose ​

Retourne une liste d'expirations de délégations de vesting (vesting delegation expiration). Paramètres : start:array, limit:int, order:string

  • limit est limité à 1000.
  • order peut être l'un des suivants :
    • by_expiration - tri par expiration
      • start est un tableau de deux valeurs : timestamp, expiration_id
    • by_account_expiration - tri par compte et expiration
      • start est un tableau de deux valeurs : account, timestamp, expiration_id
start (array)limit (int)order (string)
["1970-01-01T00:00:00", 0]10by_expirationInterroge les délégations, jusqu'à 10 résultats, tri par expiration.
["alice", "1970-01-01T00:00:00", 0]10by_account_expirationInterroge les délégations à partir de cette date, jusqu'à 10 résultats, tri par compte et expiration.

Voir aussi : Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_vesting_delegation_expirations",
    "params": {
      "start": [
        "1970-01-01T00:00:00",
        0
      ],
      "limit": 10,
      "order": "by_expiration"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_vesting_delegation_expirations",
    "params": {
      "start": [
        "alice",
        "1970-01-01T00:00:00",
        0
      ],
      "limit": 10,
      "order": "by_account_expiration"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "delegations": [
    {
      "id": 3076685,
      "delegator": "anonsteem",
      "vesting_shares": {
        "amount": "6050629930",
        "precision": 6,
        "nai": "@@000000037"
      },
      "expiration": "2018-12-05T07:07:15"
    }
  ]
}